import bpy
from bpy.props import *
from bpy.types import Node, NodeSocket
from arm.logicnode.arm_nodes import *


class EnhancedTransformNode(Node, ArmLogicTreeNode):
    '''EnhancedTransformNode'''
    bl_idname = 'LNEnhancedTransformNode'
    bl_label = 'Enhanced Transform'
    bl_icon = 'GAME'

    def init(self, context):
        self.inputs.new('ArmNodeSocketAction', 'In')
        self.inputs.new('ArmNodeSocketObject', 'Object')
        self.inputs.new('NodeSocketVector', 'Location')
        self.inputs.new('NodeSocketVector', 'Rotation')
        self.inputs.new('NodeSocketVector', 'Scale')
        self.outputs.new('ArmNodeSocketAction', 'Out')

add_node(EnhancedTransformNode, category='Action')
